﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.Graphics;
using System.IO;

[assembly: Xamarin.Forms.Dependency(typeof(Sample2.Droid.PlatformInterface))]

namespace Sample2.Droid
{
    class PlatformInterface : IPlatformInterface
    {
        public object AndroidContext { get; set; }
        public object AndroidResource { get; set; }
        public object AndroidUsbDevice { get; set; }
        public object AndroidLocalFont { get; set; }
        public string IosBundlePath { get; }

        public object GetBitmap()
        {
            Context context = (Context)AndroidContext;
            BitmapFactory.Options options = new BitmapFactory.Options
            {
                InScaled = false
            };
            Bitmap bitmap = BitmapFactory.DecodeResource(context.Resources, Resource.Drawable.platform_android, options);
            return bitmap;
        }
    }
}