﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;

using Foundation;
using UIKit;

[assembly: Xamarin.Forms.Dependency(typeof(Sample2.iOS.PlatformInterface))]

namespace Sample2.iOS
{
    class PlatformInterface : IPlatformInterface
    {
        public object AndroidContext { get; set; }
        public object AndroidResource { get; set; }
        public object AndroidUsbDevice { get; set; }
        public object AndroidLocalFont { get; set; }
        public string IosBundlePath { get => NSBundle.MainBundle.BundlePath; }
        public object GetBitmap()
        {
            string path = IosBundlePath + "/platform_ios.png";
            UIImage image = new UIImage(path);
            return image;
        }
    }
}